package com.zoo.controller;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.zoo.entity.Admin;
import com.zoo.entity.Result;
import com.zoo.service.IAdminService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;
import org.springframework.stereotype.Controller;

/**
 * <p>
 *  前端控制器
 * </p>
 *
 * @author DJ
 * @since 2024-04-18
 */
@RestController
@RequestMapping("/zoo/admin")
public class AdminController {
    @Autowired
    IAdminService iAdminService;

    @PostMapping("login")
    public Result login(Admin admin){
        if (admin.getUsername()==null || admin.getPassword() == null){
            return Result.error("用户名密码不能为空");
        }
        QueryWrapper<Admin> queryWrapper = new QueryWrapper<>();
        queryWrapper.eq("username",admin.getUsername());
        queryWrapper.eq("password", admin.getPassword());
        Admin one = iAdminService.getOne(queryWrapper);
        if (one == null){
            return Result.error("用户名或密码错误,请重新登录");
        }
        return Result.ok(one,"登录成功");
    }

}
